Bug 104923 - RPM segfaults on most operations
Summary: RPM segfaults on most operations
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-23 16:10 UTC by Brendan Miller
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 19:00:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brendan Miller 2003-09-23 16:10:19 UTC
Very similar to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=57055

Description of problem:
RPM database seems corrupted.  rpm -qa segfaults.  rpm --rebuilddb segfaults. 
Have followed the solution in BUG ID 57055, but still have problems.  Also have
followed instructions at http://www.rpm.org/hintskinks/repairdb/ but no solution
yet.

Version-Release number of selected component (if applicable):
rpm 4.0.3

How reproducible:
always

Steps to Reproduce:
1. rpm -qa
2.
3.
    
Actual results:


Expected results:


Additional info:
broken database at http://www.kudzuforest.com/rpmdb-brmiller.tar.gz

Comment 1 Brendan Miller 2003-09-23 16:17:32 UTC
Solution provided in private email by Jeff Johnson.

Comment 2 Jeff Johnson 2003-09-24 19:00:33 UTC
Reopen if you need more help, please.

Comment 3 Brian Exelbierd 2004-06-13 20:50:09 UTC
I am having the same problem -- rpm -qa segfaults.

These solutions are always provided by private mail, so how can I get 
a copy of the solution?  I will provide any files requested.

Please be advised, I have not updated the rpm version (still 4.0.2-
6x) as I believe the problems resides in packages.rpm with the glib 
entry.

see below:

# rpm -qa
tmpwatch-2.8-0.6.x
setup-2.1.8-1
filesystem-1.3.5-1
basesystem-6.0-4
ldconfig-1.9.5-16
anacron-2.1-6
bash-1.14.7-23.6x
shadow-utils-19990827-10
termcap-10.2.7-9
libtermcap-2.0.8-20
bind-utils-8.2.3-0.6.x
MAKEDEV-2.5.2-1
ximian-wallpapers-0.2-ximian.1
ximian-faq-1.0-ximian.2
rxvt-2.6.1-8
info-4.0-5
fwbuilder-0.8.7-2
Segmentation fault

# rpm -q glib
Segmentation fault

This is the package right before fwbuilder in the nameindex.rpm 
file.  The file before glib is X11R6-Contrib .. it works fine:

# rpm -q X11R6-contrib
X11R6-contrib-3.3.2-11

Comments?

Thanks,

bex


Note You need to log in before you can comment on or make changes to this bug.